apiVersion: build.openshift.io/v1
kind: BuildConfig
metadata:
  name: ruby-hello-world-s390x
  namespace: dorzel-builds-test
  labels:
    name: ruby-hello-world-s390x
spec:
  triggers:
  - type: ConfigChange
  source:
    type: Git
    git:
      uri: https://github.com/openshift/ruby-hello-world.git
  strategy:
    type: Docker
    dockerStrategy:
      from:
        kind: ImageStreamTag
        name: ruby:2.7-ubi8
        namespace: openshift
  output:
    to:
      kind: ImageStreamTag
      name: ruby-hello-world:s390x
  nodeSelector:
    kubernetes.io/arch: s390x
